Package de.willuhn.jameica.hbci.gui.action

# Class LastschriftNew

java.lang.Object
de.willuhn.jameica.hbci.gui.action.LastschriftNew

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Action`

public class LastschriftNew extends Object implements de.willuhn.jameica.gui.Action
Action fuer neue Lastschrift.

## Constructor Summary

Constructors
Constructor
Description
`LastschriftNew()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleAction(Object context)`
Als Context kann ein Konto, ein Empfaenger oder eine Lastschrift angegeben werden.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LastschriftNew

public LastschriftNew()

## Method Details

### handleAction

public void handleAction(Object context) throws de.willuhn.util.ApplicationException
Als Context kann ein Konto, ein Empfaenger oder eine Lastschrift angegeben werden. Abhaengig davon wird das eine oder andere Feld in der neuen Lastschrift vorausgefuellt oder die uebergebene Lastschrift geladen. Wenn nichts angegeben ist, wird eine leere Lastschrift erstellt und angezeigt.

Specified by:
  `handleAction` in interface `de.willuhn.jameica.gui.Action`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `Action.handleAction(java.lang.Object)`